#include "base_process.h"

#include <balancer/kernel/process/master_main.h>

namespace NSrvKernel::NProcessCore {
    const TBackendCheckOverridenParameters& TBaseProcess::BackendCheckOverrides() {
        if (!BackendCheckOverridesUpdater) {
            TString fileName;
            if (MainTask_.ConfigCheck_) {
                fileName = MainTask_.ConfigCheck_->FileName;
            }
            BackendCheckOverridesUpdater.ConstructInPlace(*this, fileName);
        }
        return BackendCheckOverridesUpdater->Current();
    }

    TEventHandler* TBaseProcess::EventHandler() const noexcept {
        return EventHandler_.Get();
    }
}
